Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 08/18/2020 in all areas

  1. 40 is the radius of the arc, 50 the start angle of the start point and 51 the end angle of the end point. Both angles are in radians and measured at the centre point. The (if (> sa ea)...) is needed in case the start angle is greater than the end angle (the arc passes through 0 (zero) radians). Arcs and circles are always counter clockwise irrespective of how they are constructed
    1 point
  2. Try this old lisp of mine (defun c:arcd (/ el tau r sa ea ia len) (setq el (entget (car (entsel "\nSelect Arc : "))) tau (* pi 2.0) r (cdr (assoc 40 el)) sa (cdr (assoc 50 el)) ea (cdr (assoc 51 el)) ) (if (> sa ea) (setq ia (+ (- tau sa) ea)) (setq ia (- ea sa))) (setq len (* r ia)) (alert (strcat "Arc Data : \n" "\nLength : " (rtos len 2 3) "\n\nIncl Angle : " (angtos ia 1 4))) )
    1 point
  3. The length in the following example is: 2.5 as declared in the command call: (setq data_radius (entsel "\nPick a curve:")) (command "LENGTHEN" "" "2.5" (car data_radius) "" "")
    1 point
×
×
  • Create New...